import React from 'react';
import { Global } from '@emotion/core';

var styles = {
  html: {
    lineHeight: "1.15",
    textSizeAdjust: "100%",
    fontFamily: "sans-serif"
  },
  "article,\n  aside,\n  footer,\n  header,\n  nav,\n  section": {
    display: "block"
  },
  h1: {
    fontSize: "2em",
    margin: "0.67em 0"
  },
  "figcaption,\n  figure,\n  main": {
    display: "block"
  },
  figure: {
    margin: "1em 40px"
  },
  hr: {
    boxSizing: "content-box",
    height: "0",
    overflow: "visible"
  },
  pre: {
    fontFamily: "monospace, monospace",
    fontSize: "1em"
  },
  a: {
    "background-color": "transparent",
    "-webkit-text-decoration-skip": "objects"
  },
  "abbr[title]": {
    borderBottom: "none",
    textDecoration: "underline dotted"
  },
  "b,\n  strong": {
    fontWeight: "inherit"
  },
  "code,\n  kbd,\n  samp": {
    fontFamily: "monospace, monospace",
    fontSize: "1em"
  },
  dfn: {
    fontStyle: "italic"
  },
  mark: {
    backgroundColor: "#ff0",
    color: "#000"
  },
  small: {
    fontSize: "80%"
  },
  "sub,\n  sup": {
    fontSize: "75%",
    lineHeight: "0",
    position: "relative",
    verticalAlign: "baseline"
  },
  sub: {
    bottom: "-0.25em"
  },
  sup: {
    top: "-0.5em"
  },
  "audio,\n  video": {
    display: "inline-block"
  },
  "audio:not([controls])": {
    display: "none",
    height: "0"
  },
  img: {
    borderStyle: "none"
  },
  "svg:not(:root)": {
    overflow: "hidden"
  },
  "button,\n  input,\n  optgroup,\n  select,\n  textarea": {
    margin: "0",
    fontFamily: "sans-serif",
    fontSize: "100%",
    lineHeight: "1.15"
  },
  "button,\n  input": {
    overflow: "visible"
  },
  "button,\n  select": {
    textTransform: "none"
  },
  "button,\n  html [type=\"button\"],\n  [type=\"reset\"],\n  [type=\"submit\"]": {
    "-webkit-appearance": "button"
  },
  "button::-moz-focus-inner,\n  [type=\"button\"]::-moz-focus-inner,\n  [type=\"reset\"]::-moz-focus-inner,\n  [type=\"submit\"]::-moz-focus-inner": {
    borderStyle: "none",
    padding: "0"
  },
  "button:-moz-focusring,\n  [type=\"button\"]:-moz-focusring,\n  [type=\"reset\"]:-moz-focusring,\n  [type=\"submit\"]:-moz-focusring": {
    outline: "1px dotted ButtonText"
  },
  fieldset: {
    border: "1px solid #c0c0c0",
    margin: "0 2px",
    padding: "0.35em 0.625em 0.75em"
  },
  legend: {
    boxSizing: "border-box",
    color: "inherit",
    display: "table",
    maxWidth: "100%",
    padding: "0",
    whiteSpace: "normal"
  },
  progress: {
    display: "inline-block",
    verticalAlign: "baseline"
  },
  textarea: {
    overflow: "auto"
  },
  "[type=\"checkbox\"],\n  [type=\"radio\"]": {
    boxSizing: "border-box",
    padding: "0"
  },
  "[type=\"number\"]::-webkit-inner-spin-button,\n  [type=\"number\"]::-webkit-outer-spin-button": {
    height: "auto"
  },
  "[type=\"search\"]": {
    "-webkit-appearance": "textfield",
    outlineOffset: "-2px"
  },
  "[type=\"search\"]::-webkit-search-cancel-button,\n  [type=\"search\"]::-webkit-search-decoration": {
    "-webkit-appearance": "none"
  },
  "::-webkit-file-upload-button": {
    "-webkit-appearance": "button",
    font: "inherit"
  },
  "details,\n  menu": {
    display: "block"
  },
  summary: {
    display: "list-item"
  },
  canvas: {
    display: "inline-block"
  },
  template: {
    display: "none"
  },
  "[hidden]": {
    display: "none"
  },
  body: {
    margin: "0"
  },
  "a:active,\n  a:hover": {
    outlineWidth: "0"
  }
};

var Normalize = function Normalize() {
  return React.createElement(Global, {
    styles: styles
  });
};

export default Normalize;
